LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (https://www.linuxquestions.org/questions/linux-software-2/)
-   -   Aqua-Sim problem (https://www.linuxquestions.org/questions/linux-software-2/aqua-sim-problem-4175591415/)

Eng. Mary 10-14-2016 01:50 PM

Aqua-Sim problem
 
Hello sir
i tried to install Aqua-Sim-1.0 after successful installation of ns-2.35 on Ubuntu 14.04, but i have this problem :

configure: creating ./config.status
config.status: creating Makefile
rm -f libotcl.so otcl.o so_locations
gcc-4.8.4 -c -g -O2 -DNDEBUG -DUSE_SHM -fpic -I. -I/home/maryam/Documents/aquasim/include -I/home/maryam/Documents/aquasim/include -I/home/maryam/Documents/aquasim/include -I/include otcl.c
make: gcc-4.8.4: Command not found
make: *** [libotcl.so] Error 127
otcl-1.12 make failed! Exiting ...
See http://www.isi.edu/nsnam/ns/ns-problems.html for problems

I did all changes that i saw on this website.

Please help me

designator 10-14-2016 04:27 PM

Sounds like you're missing the compiler:
Code:

apt-get install gcc

graqo 10-14-2016 11:23 PM

kindly help me out on the installation of aquasim.
Tried all I could, I m still getting the error below;
tcl8.4.13 installation failed.
Tcl is not part of the ns project. Please see www.Scriptics.com
to see if they have a fix for your platform.

I am using ubuntu 16.04 32 bit with g++41-compat-4.1.2_i386.deb, gcc41-compat-4.1.2-13_i386.deb installed.

Eng. Mary 10-15-2016 02:56 AM

I tried to install gcc before

Reading package lists... Done
Building dependency tree
Reading state information... Done
gcc is already the newest version.
0 to upgrade, 0 to newly install, 0 to remove and 0 not to upgrade.


What i should do?

Eng. Mary 10-15-2016 02:44 PM

Quote:

Originally Posted by graqo (Post 5618199)
kindly help me out on the installation of aquasim.
Tried all I could, I m still getting the error below;
tcl8.4.13 installation failed.
Tcl is not part of the ns project. Please see www.Scriptics.com
to see if they have a fix for your platform.

I am using ubuntu 16.04 32 bit with g++41-compat-4.1.2_i386.deb, gcc41-compat-4.1.2-13_i386.deb installed.

After a lot of changes , i'm getting the same error.

Are you found the solution?

graqo 10-19-2016 02:57 PM

Quote:

Originally Posted by Eng. Mary (Post 5618446)
After a lot of changes , i'm getting the same error.

Are you found the solution?

No solution yet. Still waiting for response from Aquasim masters in the forum.

mark_alfred 10-19-2016 04:14 PM

Perhaps you also need g++ to be installed (if it's not already installed).

graqo 10-19-2016 06:42 PM

Quote:

Originally Posted by mark_alfred (Post 5620240)
Perhaps you also need g++ to be installed (if it's not already installed).

Thank for your response. I don't know what I am not doing right. I installed g++.
~/aquasim$ which g++
/usr/bin/g++
~/aquasim$ which gcc41
/usr/bin/gcc41

kindly put me through a procedure to get it right.

Thanks.

mark_alfred 10-19-2016 07:19 PM

Seems graqo also had issues trying to install aqua-sim. I'm not even sure where the package for it is. In searching for it, I only found this: http://obinet.engr.uconn.edu/wiki/in...a-Sim_Download --> the download from here did not work, however. Presumably you have the package for it, right?

mark_alfred 10-19-2016 07:22 PM

Anyway, I finally did find the installation guide. http://obinet.engr.uconn.edu/wiki/im...tion_Guide.pdf Perhaps that will help.

mark_alfred 10-19-2016 07:29 PM

Here's a description of installing it on Ubuntu 16.04. I imagine it's similar on 14.04.

http://www.projectguideline.com/inst...ion-with-ns-2/

graqo 10-20-2016 12:38 PM

I followed the instructions, I'm still getting this error:

Makefile:102: recipe for target 'libotcl.so' failed
make: *** [libotcl.so] Error 1
otcl-1.12 make failed! Exiting ...

Thanks.

graqo 10-20-2016 01:49 PM

Thanks all.I finally got a solution. I follow the guidance below;


if there is problem in otcl then:
change ns-2.30/otcl-1.12/Makefile.in. Find the line that says:
CC= @CC@
and change it to:
CC= gcc-4.3 or your gcc-version

if problem presist:
change otcl-1.12/configure.in
find:
Linux*)
SHLIB_CFLAGS=”-fpic”
SHLIB_LD=”ld -shared”
SHLIB_LD=”gcc -shared” //add this line
SHLIB_SUFFIX=”.so”
DL_LIBS=”-ldl”
SHLD_FLAGS=”"
run this command in otcl folder:
autoconf -f

and re-install


All times are GMT -5. The time now is 07:44 AM.